Calendar

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Typedefs | Functions
Calendar

## Typedefs
typedef struct _Elm_Calendar_Mark | Elm_Calendar_Mark
| Item handle for a calendar mark. More...
typedef char *(* | Elm_Calendar_Format_Cb) (struct tm *stime)
| This callback type is used to format the string that will be used to display month and year. More...

## Functions
void | elm_calendar_mark_del (Elm_Calendar_Mark *mark)
| Delete mark from the calendar. More...
Evas_Object * | elm_calendar_add (Evas_Object *parent)
| Add a new calendar widget to the given parent Elementary (container) object. More...

## Detailed Description

This is a calendar widget. It helps applications to flexibly display a calendar with day of the week, date, year and month. Applications are able to set specific dates to be reported back, when selected, in the smart callbacks of the calendar widget. The API of this widget lets the applications perform other functions, like:

- placing marks on specific dates
- setting the bounds for the calendar (minimum and maximum years)
- setting the day names of the week (e.g. "Thu" or "Thursday")
- setting the year and month format.

This widget inherits from the Layout one, so that all the functions acting on it also work for calendar objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"changed"` - emitted when the date in the calendar is changed.
- `"display,changed"` - emitted when the current month displayed in the calendar is changed.
- `"focused"` - When the calendar has received focus. (since 1.8)
- `"unfocused"` - When the calendar has lost focus. (since 1.8)
- `"language,changed"` - the program's language changed (since 1.9)

Supported elm_object common APIs.

- elm_object_signal_emit
- elm_object_signal_callback_add
- elm_object_signal_callback_del

Here is some sample code using it:

- Calendar - Simple creation.
- Calendar - Layout strings formatting.
- Calendar - Years restrictions.
- Calendar - Days selection.
- Calendar - Signal callback and getters.
- Calendar - Calendar marks.

## Typedef Documentation

typedef char*(* Elm_Calendar_Format_Cb) (struct tm *stime)

This callback type is used to format the string that will be used to display month and year.

Parameters

  stime | Struct representing time.

Returns
  String representing time that will be set to calendar's text.

See also
  elm_calendar_format_function_set()

typedef struct _Elm_Calendar_Mark Elm_Calendar_Mark

Item handle for a calendar mark.

Created with elm_calendar_mark_add() and deleted with elm_calendar_mark_del().

## Function Documentation

Evas_Object* elm_calendar_add | ( | Evas_Object * | parent | ) |

Add a new calendar widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object.

Returns
  a new calendar widget handle or `NULL`, on errors.

This function inserts a new calendar widget on the canvas.

Calendar - Simple creation.

void elm_calendar_mark_del | ( | Elm_Calendar_Mark * | mark | ) |

Delete mark from the calendar.

Parameters

  mark | The mark to be deleted.

If deleting all calendar marks is required, elm_calendar_marks_clear() should be used instead of getting marks list and deleting each one.

See also
  elm_calendar_mark_add()

Calendar - Calendar marks.